Bug 1815286 - Following the replacement of a controller, all the controlplane IP changed and openstack-openvswitch-agent wasn't restarted on any computes
Summary: Following the replacement of a controller, all the controlplane IP changed an...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 16.0 (Train)
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: async
: 16.0 (Train on RHEL 8.1)
Assignee: Greg Rakauskas
QA Contact: RHOS Documentation Team
URL:
Whiteboard: docs-accepted
Depends On: 1763892
Blocks: 1815285
TreeView+ depends on / blocked
 
Reported: 2020-03-19 21:34 UTC by Greg Rakauskas
Modified: 2020-11-17 20:21 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1763892
Environment:
Last Closed: 2020-03-25 21:49:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Greg Rakauskas 2020-03-25 21:49:59 UTC
Hi,

The necessary changes have been added to the "Director Installation ans Usage" guide.

Customers can view these changes on the Red Hat Customer Portal now. (The 
details are below.)

Thanks,
--Greg

   - The NOTE in step 8, here:
     -------------------------
     https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html-single/director_installation_and_usage/index#preparing-for-controller-replacement

   - The last step, here:
     --------------------
     https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html-single/director_installation_and_usage/index#cleaning-up-after-the-controller-node-replacement

Comment 3 Greg Rakauskas 2020-11-17 20:21:28 UTC
Hi,

Removed step 7 in the "Director Installation and Usage" guide topic, "Preparing
for Controller replacement:"

   7. If you are using Open Virtual Switch (OVS) and replaced Controller nodes
      in the past without restarting the OVS agents, then restart the agents on
      the compute nodes before replacing this Controller. Restarting the OVS
      agents ensures that they have a full complement of RabbitMQ connections.

      Run the following command to restart the OVS agent:

      [heat-admin@overcloud-compute-0 ~]$ sudo docker restart neutron_ovs_agent

Removed step 11 in the "Director Installation and Usage" guide topic, "Cleaning
up after Controller node replacement:"

   11. If you are using Open Virtual Switch (OVS), and  the IP address for the
       Controller node has changed, then you must restart the OVS agent on all
       compute nodes:

       [heat-admin@overcloud-compute-0 ~]$ sudo podman restart neutron_ovs_agent

Customers can see these changes here:

   https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/16.0/html-single/director_installation_and_usage/index#preparing-for-controller-replacement

--Greg


Note You need to log in before you can comment on or make changes to this bug.